> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fetchhive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve public search-service country catalog

> Returns the country catalog for one supported search workflow service.
Use each country object's `value` field when configuring that service.




## OpenAPI

````yaml /openapi.yaml get /v1/public/search_services/{service}/countries
openapi: 3.0.1
info:
  title: Fetch Hive Public API
  version: v1
  description: Customer-facing Fetch Hive API endpoints for public API keys.
servers:
  - url: https://api.fetchhive.com
security: []
paths:
  /v1/public/search_services/{service}/countries:
    get:
      tags:
        - Search Services
      summary: Retrieve public search-service country catalog
      description: |
        Returns the country catalog for one supported search workflow service.
        Use each country object's `value` field when configuring that service.
      parameters:
        - name: service
          in: path
          required: true
          description: Search workflow service key.
          schema:
            type: string
            enum:
              - google_search
              - google_news
              - google_ai_mode
              - google_ai_overview
              - bing_search
      responses:
        '200':
          description: Bing Search country catalog returned
          content:
            application/json:
              schema:
                type: object
                properties:
                  service:
                    type: string
                    example: google_ai_overview
                  name:
                    type: string
                    example: Google AI Overview
                  country_value_field:
                    type: string
                    example: google_location_name
                  country_value_format:
                    type: string
                    enum:
                      - country_name
                      - alpha2
                  countries:
                    type: array
                    items:
                      type: object
                      properties:
                        country_name:
                          type: string
                          example: United States
                        alpha2:
                          type: string
                          example: US
                        value:
                          type: string
                          example: US
                      required:
                        - country_name
                        - alpha2
                        - value
                required:
                  - service
                  - name
                  - country_value_field
                  - country_value_format
                  - countries
        '404':
          description: unsupported service
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: unsupported_service
                  supported_services:
                    type: array
                    items:
                      type: string
                    example:
                      - google_search
                      - google_news
                      - google_ai_mode
                      - google_ai_overview
                      - bing_search
                required:
                  - error
      security: []

````